# TransactionResponseInfo

## Properties

| Name                    | Type       | Description | Notes |
| ----------------------- | ---------- | ----------- | ----- |
| **ConveyorGas**         | **string** |             |       |
| **AffiliateGas**        | **string** |             |       |
| **AffiliateAggregator** | **string** |             |       |
| **AmountOut**           | **string** |             |       |
| **AmountOutMin**        | **string** |             |       |

## Methods

### NewTransactionResponseInfo

`func NewTransactionResponseInfo(conveyorGas string, affiliateGas string, affiliateAggregator string, amountOut string, amountOutMin string, ) *TransactionResponseInfo`

NewTransactionResponseInfo instantiates a new TransactionResponseInfo object This constructor will assign default values to properties that have it defined, and makes sure properties required by API are set, but the set of arguments will change when the set of required properties is changed

### NewTransactionResponseInfoWithDefaults

`func NewTransactionResponseInfoWithDefaults() *TransactionResponseInfo`

NewTransactionResponseInfoWithDefaults instantiates a new TransactionResponseInfo object This constructor will only assign default values to properties that have it defined, but it doesn't guarantee that properties required by API are set

### GetConveyorGas

`func (o *TransactionResponseInfo) GetConveyorGas() string`

GetConveyorGas returns the ConveyorGas field if non-nil, zero value otherwise.

### GetConveyorGasOk

`func (o *TransactionResponseInfo) GetConveyorGasOk() (*string, bool)`

GetConveyorGasOk returns a tuple with the ConveyorGas field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetConveyorGas

`func (o *TransactionResponseInfo) SetConveyorGas(v string)`

SetConveyorGas sets ConveyorGas field to given value.

### GetAffiliateGas

`func (o *TransactionResponseInfo) GetAffiliateGas() string`

GetAffiliateGas returns the AffiliateGas field if non-nil, zero value otherwise.

### GetAffiliateGasOk

`func (o *TransactionResponseInfo) GetAffiliateGasOk() (*string, bool)`

GetAffiliateGasOk returns a tuple with the AffiliateGas field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetAffiliateGas

`func (o *TransactionResponseInfo) SetAffiliateGas(v string)`

SetAffiliateGas sets AffiliateGas field to given value.

### GetAffiliateAggregator

`func (o *TransactionResponseInfo) GetAffiliateAggregator() string`

GetAffiliateAggregator returns the AffiliateAggregator field if non-nil, zero value otherwise.

### GetAffiliateAggregatorOk

`func (o *TransactionResponseInfo) GetAffiliateAggregatorOk() (*string, bool)`

GetAffiliateAggregatorOk returns a tuple with the AffiliateAggregator field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetAffiliateAggregator

`func (o *TransactionResponseInfo) SetAffiliateAggregator(v string)`

SetAffiliateAggregator sets AffiliateAggregator field to given value.

### GetAmountOut

`func (o *TransactionResponseInfo) GetAmountOut() string`

GetAmountOut returns the AmountOut field if non-nil, zero value otherwise.

### GetAmountOutOk

`func (o *TransactionResponseInfo) GetAmountOutOk() (*string, bool)`

GetAmountOutOk returns a tuple with the AmountOut field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetAmountOut

`func (o *TransactionResponseInfo) SetAmountOut(v string)`

SetAmountOut sets AmountOut field to given value.

### GetAmountOutMin

`func (o *TransactionResponseInfo) GetAmountOutMin() string`

GetAmountOutMin returns the AmountOutMin field if non-nil, zero value otherwise.

### GetAmountOutMinOk

`func (o *TransactionResponseInfo) GetAmountOutMinOk() (*string, bool)`

GetAmountOutMinOk returns a tuple with the AmountOutMin field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetAmountOutMin

`func (o *TransactionResponseInfo) SetAmountOutMin(v string)`

SetAmountOutMin sets AmountOutMin field to given value.

\[Back to Model list] \[Back to API list] \[Back to README]


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/golang/transactionresponseinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
